Subject: Fly presses

From: "D. M. Dickie" <[email-masked]>
Date: Thu, 15 Feb 96 07:18 PST

Hi everyone!

A while ago I posted a message asking  whether anyone had plans for making a
fly press.  I got quite a few replys listing places to buy a press, but I'm
afraid that shipping costs on such an item to where I am, plus dealing with
cross-border issues and Customs make such a purchase impractical.
Therefore, I ask again, would a small scale fly press be something that
someone with limited skills as a metal worker (no machining or lathe work
skills or equipment) could build, and if so, is there a source of plans?  

D.M. (Mike) Dickie
Flatlander Forge

D. M. (Mike) Dickie
Flatlander Forge
Box 85
Pennant, SK
Canada S0N 1X0